<template>
  <q-dialog
    ref="dialog"
    @hide="onDialogHide"
  >
    <q-card
      style="width: 98%;"
      class="q-dialog-plugin column"
    >
      <q-card-section
        class="q-pt-lg q-px-lg q-pb-none col-auto"
      >
        <p
          class="q-pa-none"
        >
          <translate>
            By clicking on DELETE, we will delete data of the campaign %{selectedCampaign.name} for the farm %{selectedHolding.name} and all related data.
          </translate>
        </p>
        <span><translate translate-context="This refers to the related data of a campaign">This includes:</translate></span>
        <ul
          class="q-pa-none"
        >
          <ol><translate>Plots and associated crops</translate></ol>
          <ol><translate>Fertilization plans</translate></ol>
          <ol><translate>Geo-tagged photos</translate></ol>
        </ul>
        <span><translate>Caution: this operation is irreversible.</translate></span>
      </q-card-section>

      <q-card-section>
        <q-card-actions align="around">
          <q-btn
            @click="onCancelClick"
            color="primary"
            size="md"
            flat
          >
            <translate>Cancel</translate>
          </q-btn>
          <q-btn
            @click="onOKClick"
            color="red"
            size="md"
            flat
          >
            <translate>Delete</translate>
          </q-btn>
        </q-card-actions>
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script>
export default {
  name: 'ConfirmDeleteHoldingCampaignDialog',
  props: {
    selectedHolding: {
      type: Object,
      required: true
    },
    selectedCampaign: {
      type: Object,
      required: true
    }
  },
  emits: [
    'ok', 'hide'
  ],
  methods: {
    show () {
      this.$refs.dialog.show()
    },
    hide () {
      this.$refs.dialog.hide()
    },
    onDialogHide () {
      this.$emit('hide')
    },
    onOKClick () {
      this.$emit('ok')
      this.hide()
    },
    onCancelClick () {
      this.hide()
    }
  }
}
</script>
